"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearLocalStorage = exports.removeFromLocalStorage = exports.fromLocalStorage = exports.toLocalStorage = void 0;
/**
 * Store value to Local storage
 * @param key - Stored value key
 * @param value - Stored value
 * @returns - void
 */
function toLocalStorage(key, value) {
    localStorage.setItem(key, JSON.stringify(value));
}
exports.toLocalStorage = toLocalStorage;
/**
 * Get value from Local storage
 *
 * @param key - Stored value key
 * @returns Stored value
 */
function fromLocalStorage(key) {
    return localStorage.getItem(key);
}
exports.fromLocalStorage = fromLocalStorage;
/**
 * Remove value from Local storage
 *
 * @param key - Stored value key
 * @returns void
 */
function removeFromLocalStorage(key) {
    localStorage.removeItem(key);
}
exports.removeFromLocalStorage = removeFromLocalStorage;
/**
 * Remove all values from Local storage
 *
 * @returns void
 */
function clearLocalStorage() {
    localStorage.clear();
}
exports.clearLocalStorage = clearLocalStorage;
