"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearSessionStorage = exports.removeFromSessionStorage = exports.fromSessionStorage = exports.toSessionStorage = void 0;
/**
 * Store value to Session storage
 *
 * @param key - Stored value key
 * @param value - Stored value
 * @returns void
 */
function toSessionStorage(key, value) {
    sessionStorage.setItem(key, value);
}
exports.toSessionStorage = toSessionStorage;
/**
 * Get value from Session storage
 *
 * @param key - Stored value key
 * @returns Stored value
 */
function fromSessionStorage(key) {
    sessionStorage.getItem(key);
}
exports.fromSessionStorage = fromSessionStorage;
/**
 * Remove value from Session storage
 *
 * @param key - Stored value key
 * @returns void
 */
function removeFromSessionStorage(key) {
    sessionStorage.removeItem(key);
}
exports.removeFromSessionStorage = removeFromSessionStorage;
/**
 * Remove all values from Session storage
 *
 * @returns void
 */
function clearSessionStorage() {
    sessionStorage.clear();
}
exports.clearSessionStorage = clearSessionStorage;
